from django import forms
from django.contrib.auth.models import  auth
from django.contrib.auth.models import AbstractUser
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.forms import PasswordChangeForm
from .models import StudentLectures , User, Subjects




class SignUpForm(UserCreationForm):
    class Meta:
        model = User
        fields = ['username', 'first_name', 'last_name', 'email', 'password1', 'password2', 'user_status']
        widgets = {
            'username': forms.TextInput(attrs={'class': 'form-control'}),
            'first_name': forms.TextInput(attrs={'class': 'form-control'}),
            'last_name': forms.TextInput(attrs={'class': 'form-control'}),
            'email': forms.EmailInput(attrs={'class': 'form-control'})
        }

    def __init__(self, *args, **kwargs):
        super(SignUpForm, self).__init__(*args, **kwargs)
        self.fields['password1'].widget.attrs['class'] = 'form-control'
        self.fields['password2'].widget.attrs['class'] = 'form-control'
        self.fields['user_status'].widget.attrs['class'] = 'form-control'


class Profile(forms.ModelForm):
            class Meta:
                model = User
                fields = ['username', 'first_name', 'last_name', 'email']
                widgets = {
                    'username': forms.TextInput(attrs={'class': 'form-control', 'readonly':'true'}),
                    'first_name': forms.TextInput(attrs={'class': 'form-control',  'readonly':'true'}),
                    'last_name': forms.TextInput(attrs={'class': 'form-control',  'readonly':'true'}),
                    'email': forms.EmailInput(attrs={'class': 'form-control',  'readonly':'true'})
                }



class StudentLecturesForm(forms.ModelForm):
    class Meta:
        model=StudentLectures
        fields = ['lecture_subject', 'lecture_title', 'lecture_description', 'lecture_url', 'lecture_status']
        widgets = {
            'lecture_title': forms.TextInput(attrs={'class': 'form-control'}),
            'lecture_description': forms.Textarea(attrs={'class': 'form-control'}),
            'lecture_url': forms.TextInput(attrs={'class': 'form-control'}),
        }

    def __init__(self, *args, **kwargs):
        super(StudentLecturesForm, self).__init__(*args, **kwargs)
        self.fields['lecture_subject'].widget.attrs['class'] = 'form-control'
        self.fields['lecture_status'].widget.attrs['class'] = 'form-control'


class SubjectForm(forms.ModelForm):
            class Meta:
                model= Subjects
                fields = ['subject_name']
                widgets = {
                    'subject_name': forms.TextInput(attrs={'class': 'form-control'}),
                  
                }

           
